package main

import (
	"database/sql"
	_ "github.com/mattn/go-sqlite3"
)

var db *sql.DB
var alreadyUsingMemory bool

func init() {
	openDatabase("./database.sqlite")
}

func openDatabase(fileLocation string) {
	db, _ = sql.Open("sqlite3", fileLocation)
	db.SetMaxOpenConns(1)

	// Initializes the tables
	db.Exec(`CREATE TABLE IF NOT EXISTS badge (commit_hash VARCHAR(32) NOT NULL UNIQUE PRIMARY KEY, percentage FLOAT NOT NULL)`)
	db.Exec(`CREATE TABLE IF NOT EXISTS alias (commit_hash VARCHAR(32) NOT NULL UNIQUE PRIMARY KEY, project_name TEXT NOT NULL, project_tag TEXT NOT NULL)`)
}
